Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
sensors::NumericSensor::ReadingChangedEvent Struct Reference

Event: Numeric sensor reading has changed. More...

`import <NumericSensor.idl;`

Inheritance diagram for sensors::NumericSensor::ReadingChangedEvent:

## Public Attributes
Reading | newReading
| New numeric sensor reading.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Numeric sensor reading has changed.

The event is sent when the Reading::value has changed enough to affect a digit to be displayed according to MetaData::decdigits, or if one of Reading::available, Reading::status or Reading::valid has changed.

Definition at line 162 of file NumericSensor.idl.

## Member Data Documentation

## ◆ newReading

Reading sensors::NumericSensor::ReadingChangedEvent::newReading

New numeric sensor reading.

Definition at line 163 of file NumericSensor.idl.

The documentation for this struct was generated from the following file:

- NumericSensor.idl